TopicForms

List topic forms (Preview)

Preview · Available to selected organizations. Lists the signup forms belonging to the visible topic.

GET
/v1/topics/{id}/forms

Lists the signup forms belonging to the visible topic. Requires topicSignup. Forms contain exact HTTPS allowed origins, bounded confirmation and success copy, an optional HTTPS redirect, and a public key for hosted or embedded signup.

x-api-key<token>

In: header

Path Parameters

id*string
Match^unsub_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/topics/string/forms"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "publicKey": "29f62ed2-b67a-44ba-84f5-217ecee94438",      "topicId": "string",      "allowedOrigins": [        "string"      ],      "confirmationTitle": "string",      "confirmationMessage": "string",      "successTitle": "string",      "successMessage": "string",      "redirectUrl": "string",      "linkOrigin": "string",      "createdAt": "string",      "updatedAt": "string"    }  ]}

Related documentation